AmuleAttualmente, cercando di installare il demone di Amule Adunanza (amule-adunanza-daemon) su Debian Wheezy (ma il problema potrebbe riguardare anche altre versioni di Debian) si ottiene il seguente problema dovuto a dipendenze mancanti:

# aptitude install amule-adunanza-daemon
I seguenti pacchetti NUOVI (NEW) saranno installati:
  amule-adunanza-daemon{b} libcrypto++9{a}
0 pacchetti aggiornati, 2 installati, 0 da rimuovere e 2 non aggiornati.
È necessario prelevare 3199 kB di archivi. Dopo l'estrazione, verranno occupati 9985 kB.
I seguenti pacchetti hanno dipendenze non soddisfatte:
 amule-adunanza-daemon : Dipende: libupnp3 (>= 1.4.3) che è un pacchetto virtuale.
                         Dipende: libwxbase2.8-0 (>= 2.8.10.1) but it is not going to be installed.
Le seguenti azioni permetteranno di soddisfare queste dipendenze:

     Mantenere i seguenti pacchetti alla versione attuale:
1)     amule-adunanza-daemon [Non installato]

Questo accade perché la versione pacchettizzata presente nei repository (il repository di Adunanza) richiede delle dipendenze non più disponibili nei repository ufficiali di Debian. Per risolvere il problema, è momentaneamente necessario ricorrere alla versione più recente, presente sul progetto su Sourceforge.

Semplicemente, installiamo le dipendenze necessarie:

aptitude install libcrypto++9 libupnp6 libwxbase2.8-0

Quindi con il browser apriamo questa pagina, selezioniamo la versione di Debian in uso, poi procediamo fino a visualizzare la lista dei pacchetti disponibili (per Wheezy potete andare direttamente qui). Scarichiamo quindi la versione di amule-adunanza-daemon adatta alla nostra architettura (i386 per 32bit, amd64 per 64bit). Al momento in cui scrivo, sono presenti i pacchetti:

  • amule-adunanza-daemon_2010.1+2.2.6-1wheezy4_i386.deb
  • amule-adunanza-daemon_2010.1+2.2.6-1wheezy4_amd64.deb

Una volta scaricato il pacchetto corretto, portiamoci nella directory e impartiamo il comando di installazione (valido per entrambe le architetture) tramite dpkg:

dpkg -i amule-adunanza-daemon_2010.1+2.2.6-1wheezy4*.deb

A questo punto possiamo procedere con la configurazione come da guida.

XHTML - Puoi usare questi tag: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>